  <div class="section-loading" *ngIf="modalLoading">
    <p>Loading ...</p>
  </div>
  <div class="modal-header">
    <h4 *ngIf="!isEdit" class="modal-title">Create new client</h4>
    <h4 *ngIf="isEdit" class="modal-title">Edit client</h4>
    <button type="button" class="close" aria-label="Close" (click)="close()">
      <span aria-hidden="true">&times;</span>
    </button>
  </div>
  <div class="modal-body">
    <form #clientForm="ngForm" class="container-fluid" novalidate>
      <div class="row form-group">
        <div class="col-6">
          <label for="name">Name</label>
          <input type="text" name="name" [(ngModel)]="client.name" class="form-control" autofocus required>
        </div>
        <div class="col-6">
          <label for="phone">Phone</label>
          <input type="text" name="phone" [(ngModel)]="client.phone" class="form-control" required>
        </div>
      </div>
      <div class="row form-group">
        <div class="col-12">
          <label for="mail">Email</label>
          <input type="email" name="mail" [(ngModel)]="client.mail" class="form-control">
        </div>
      </div>
      <div class="row form-group">
        <div class="col-6">
            <label for="university">University</label>
            <select name="university" [(ngModel)]="client.universityId" class="form-control">
              <option *ngFor="let opt of universitiesList" [ngValue]="opt.id">{{opt.name}}</option>
            </select>
        </div>
        <div class="col-6">
            <label for="faculty">Faculty</label>
            <select name="faculty" [(ngModel)]="client.facultyId" class="form-control">
                <option *ngFor="let opt of faculitiesList" [ngValue]="opt.id">{{opt.name}}</option>
            </select>
        </div>
      </div>
      <div class="row form-group">
          <div class="col-6">
              <label for="academic-year">Academic year</label>
              <select name="academic-year" [(ngModel)]="client.academicyear" class="form-control">
                  <option *ngFor="let opt of academicYearList" [ngValue]="opt">{{opt}}</option>
              </select>
          </div>
          <div class="col-6">
              <label for="knowus">How client knew about us?</label>
              <select name="knowus" [(ngModel)]="client.knowusId" class="form-control">
                  <option *ngFor="let opt of knowUsList" [ngValue]="opt.id">{{opt.name}}</option>
              </select>
          </div>
      </div>
      <div class="row form-group">
        <div class="col-12">
          <label>Student Activites</label>
          <div class="list-group-item">
            <p *ngFor="let id of client.studentActivitiesIds">
              <span class="margin-right-10">{{getNameOfId(id)}}</span>
              <i title="Delete" (click)="removeStudentActivity(id);" class="fa fa-times text-danger clickable"></i>
            </p>
            <div class="row">
                <div class="col-8">
                  <select name="studentActivity" [(ngModel)]="selectedStudentActivityId" class="form-control">
                      <option *ngFor="let opt of studentActivitiesList" [ngValue]="opt.id">{{opt.name}}</option>
                  </select>
                </div>
                <div class="col-4">
                  <button (click)="addStudentActivity();" class="btn btn-success"><i class="fa fa-plus"></i></button>
                </div>
              </div>
          </div>
        </div>
      </div>
      <div class="row form-group">
        <div class="col-12">
          <label for="notes">Notes</label>
          <textarea name="notes" [(ngModel)]="client.notes" class="form-control">
          </textarea>
        </div>
      </div>
    </form>
  </div>
  <div class="modal-footer">
    <button type="button" class="btn btn-primary" (click)="save()" [disabled]="!clientForm.valid">Save</button>
    <button type="button" class="btn btn-outline-dark" (click)="close()">Close</button>
  </div>